ConfigBossEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.ConfigBossEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class ConfigBossEJBImpl

    java.lang.Object
      org.hyperic.hq.bizapp.server.session.BizappSessionEJB
          org.hyperic.hq.bizapp.server.session.ConfigBossEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class ConfigBossEJBImpl

extends BizappSessionEJB
implements javax.ejb.SessionBean

A boss to provide bizapp client access to the configuration settings

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`ctx`

Constructor Summary
`ConfigBossEJBImpl()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`java.util.Properties` | `getConfig()` Get the top-level configuration properties
`java.util.Properties` | `getConfig(java.lang.String prefix)` Get the configuration properties for a specified prefix
`static org.hyperic.hq.bizapp.shared.ConfigBossLocal` | `getOne()`
`void` | `restartConfig()` Restart the config Service
`void` | `setConfig(int sessId, java.util.Properties props)` Set the top-level configuration properties
`void` | `setConfig(int sessId, java.lang.String prefix, java.util.Properties props)` Set the configuration properties for a prefix
`void` | `setSessionContext(javax.ejb.SessionContext c)`
`long` | `vacuum(int sessionId)` Perform routine database maintenance.

Methods inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`getAgentManager, getAIBoss, getAIManager, getAppdefBoss, getAppdefStatManager, getApplicationManager, getAuthManager, getAuthzBoss, getAuthzSubjectManager, getAutoInventoryManager, getAvailManager, getConfigManager, getControlBoss, getControlManager, getControlScheduleManager, getCPropManager, getDataMan, getEventsBoss, getMeasurementBoss, getMetricManager, getOverlord, getPlatformManager, getProductBoss, getProductManager, getReportProcessor, getResourceGroupManager, getResourceManager, getServerConfigManager, getServerManager, getServiceManager, getSessionContext, getSrnManager, getTemplateManager, getTrackerManager, rollback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigBossEJBImpl

    public ConfigBossEJBImpl()

Method Detail

### getConfig

    public java.util.Properties getConfig()
                                   throws ConfigPropertyException

  Get the top-level configuration properties

  Throws:
    `ConfigPropertyException`

### getConfig

    public java.util.Properties getConfig(java.lang.String prefix)
                                   throws ConfigPropertyException

  Get the configuration properties for a specified prefix

  Throws:
    `ConfigPropertyException`

### setConfig

    public void setConfig(int sessId,
                          java.util.Properties props)
                   throws ApplicationException,
                          ConfigPropertyException

  Set the top-level configuration properties

  Throws:
    `ApplicationException`
    `ConfigPropertyException`

### setConfig

    public void setConfig(int sessId,
                          java.lang.String prefix,
                          java.util.Properties props)
                   throws ApplicationException,
                          ConfigPropertyException

  Set the configuration properties for a prefix

  Throws:
    `ApplicationException`
    `ConfigPropertyException`

### restartConfig

    public void restartConfig()

  Restart the config Service

### vacuum

    public long vacuum(int sessionId)
                throws SessionTimeoutException,
                       SessionNotFoundException,
                       PermissionException

  Perform routine database maintenance. Must have admin permissions.

  Returns:
    The time it took to vaccum, in milliseconds, or -1 if the database is not PostgreSQL.
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`

### getOne

    public static org.hyperic.hq.bizapp.shared.ConfigBossLocal getOne()

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext c)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `BizappSessionEJB`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.